«Это приложение не будет запускаться, если вы не обновите оповещение Google Play Services»

При запуске проекта на эмуляторе я получаю предупреждение «Обновить службу Google Play». Если я нажму « OK за ним появится еще одно предупреждение. Я продолжаю нажимать « OK и есть много предупреждений, которые уже появились, и я в конечном итоге сдаюсь.

Сообщение выглядит следующим образом:

Введите описание изображения здесь

Я пробовал обновлять все в менеджере SDK. Также попробовали в Eclipse, Help-> Check for updates.

Solutions Collecting From Web of "«Это приложение не будет запускаться, если вы не обновите оповещение Google Play Services»"

Я столкнулся с подобной проблемой при попытке Google Maps в эмуляторе. В то время как некоторые люди могли запускать сервисы Google Play в своем эмуляторе, загрузив приложение Google Play с мобильных устройств, сделав файл apk, а затем установив этот файл в эмулятор, это действительно сложный процесс и работает только для определенного уровня api. То же самое происходит с эмулятором, использующим google api, смену со встроенными картами и сервисами Google Play. Приложение карт будет работать в эмуляторе, пока ваше приложение запрашивает обновление для сервисов Google Play. Поэтому разумнее всего протестировать его на реальном оборудовании.

Для меня мне нужно было перейти в settings | apps settings | apps на моем эмуляторе, а затем найти Google Play Services , я тогда увидел, что номер версии не был рядом с текущим номером версии (6.7.74 по сравнению с текущим 7.3.0)

Затем я пошел к своим зависимостям и изменил:

 compile 'com.google.android.gms:play-services:7.3.0' 

в

 compile 'com.google.android.gms:play-services:6.+' 

Вы получите предупреждения о том, что доступна более новая версия, и чтобы не использовать + в номерах версий, но если вы потратили весь день на поиск решения, как я, вы могли бы заботиться об этом меньше.

В андроидской студии меняют настройки для меня:

com.google.android.gms:play-services:5.+

чтобы:

com.google.android.gms:play-services:5.0.+

Теперь вы также можете использовать свой эмулятор для запуска Android MAP API V2.

Примечание. Только Android 4.2.2 и более поздние версии платформы Google API включают службы Google Play.

Проблема в том, что у вас установлена ​​более старая версия Google Play Services . Обновите последнюю версию, открыв Менеджер SDK => Дополнительно => Службы Google Play.

Вы можете попробовать использовать новый Genymotion Android emulator в котором вы можете обновлять сервисы Google Play. Я столкнулся с этим предупреждением и смог его обновить.

Похоже, что мы не можем тестировать новейший API карт Google, который зависит от приложения Google Play Store, которое отсутствует в Google's Android Emulator .

Genymotion Android Emulator поставляется с приложением Google Play Store.

ПРИМЕЧАНИЕ. Genymotion v2.0 прекратила упаковку виртуальной машины с помощью приложений Google, но ссылается на эту ссылку, чтобы добавить Google Apps вручную в Genymotion

Я была такая же проблема. Приятно, что в новых эмуляторах (для версии 17 и выше) поставляются игровые сервисы, но как насчет более старых версий?

В конце концов я нашел эмуляторы, предоставленные testobject . Все их эмуляторы (начиная с версии 15) поставляются с обновленными игровыми сервисами и API-интерфейсами google (карты v2 и т. Д.) Для ARM и x86.

Проверьте этот ответ https://stackoverflow.com/a/19734573/3284964 . Это помогло мне. Для меня это работает на 4.3 эмуляторах (google play services release 3.2.65) и google play services для froyo lib в моем приложении.

У меня возникла проблема с Android Studio, когда он импортировал мой проект Eclipse.

Найдите Google Play Services в своем build.gradle.

dependencies { compile 'com.google.android.gms:play-services:+' }

Измените это, чтобы использовать точную версию:

dependencies { compile 'com.google.android.gms:play-services:5.0+' }

Затем очистите сборку (Build -> Clean Project).

Просто сделал некоторые проверки, и я понимаю, что этот вопрос довольно старый, но, похоже, API19 Google Apis Disk Image работает с Google Play Services, просто протестировал его с помощью приложения, над которым работает, и он показывает, что Goolge Maps V2 просто отлично.

(Только для пользователей Android Studio)

Я столкнулся с той же проблемой и решил ее, обновив библиотеки Android Studio и SDK.